<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        caption="msg://announcementEdit.caption"
        focusComponent="form">
    <data>
        <instance id="announcementDc"
                  class="com.company.management.entity.Announcement">
            <fetchPlan extends="_base">
                <property name="status" fetchPlan="_base"/>
                <property name="notificationDetail" fetchPlan="_base"/>
            </fetchPlan>
            <loader/>
        </instance>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="windowCommitAndClose" caption="msg:///actions.Ok"
                icon="EDITOR_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="windowClose"
                caption="msg:///actions.Close"
                icon="EDITOR_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout spacing="true" expand="editActions">
        <form id="form" dataContainer="announcementDc">
            <column width="350px">
<!--                <entityPicker id="statusField" property="status">-->
<!--                    <actions>-->
<!--                        <action id="entityLookup" type="entity_lookup"/>-->
<!--                        <action id="entityClear" type="entity_clear"/>-->
<!--                    </actions>-->
<!--                </entityPicker>-->
<!--                <entityPicker id="notificationDetailField" property="notificationDetail">-->
<!--                    <actions>-->
<!--                        <action id="entityLookup" type="entity_lookup"/>-->
<!--                        <action id="entityClear" type="entity_clear"/>-->
<!--                    </actions>-->
<!--                </entityPicker>-->
                <field property="notificationDetail.title" caption="Title"/>
                <field property="notificationDetail.body" caption="Body"/>
                <field property="notificationDetail.dataUrl" caption="URL"/>
                <field property="createdDate" caption="Created"/>
            </column>
        </form>
        <hbox id="editActions" spacing="true">
            <button id="commitAndCloseBtn" action="windowCommitAndClose"/>
            <button id="closeBtn" action="windowClose"/>
        </hbox>
    </layout>
</window>
